Package org.zkoss.bind.annotation

## Enum ContextType

- java.lang.Object
- - java.lang.Enum<ContextType>
  - - org.zkoss.bind.annotation.ContextType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContextType>`

      public enum ContextType
      extends java.lang.Enum<ContextType>

  To define the context object type for `ContextParam`
  Since:
    6.0.0
  Author:
    dennis
  See Also:
    `ContextParam`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `APPLICATION` | The web application, the type is `WebApp`
    `BIND_CONTEXT` | The current bind context, the type is `BindContext`
    `BINDER` | The current binder, the type is `Binder`
    `COMMAND_NAME` | The command name
    `COMPONENT` | The current component, the type is subclass of the `Component`
    `DESKTOP` | The desktop of the current component, the type is `Desktop`
    `EXECUTION` | The current execution, the type is `Execution`
    `PAGE` | The page of the current component, the type is `Page`
    `SESSION` | The session, the type is `Session`
    `SPACE_OWNER` | The space owner of the current component, the type is `IdSpace`
    `TRIGGER_EVENT` | The trigger event of a command
    `VIEW` | The view of binder, the type is `Component`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContextType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContextType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIND_CONTEXT

          public static final ContextType BIND_CONTEXT

      The current bind context, the type is `BindContext`

    - #### BINDER

          public static final ContextType BINDER

      The current binder, the type is `Binder`

    - #### EXECUTION

          public static final ContextType EXECUTION

      The current execution, the type is `Execution`

    - #### COMPONENT

          public static final ContextType COMPONENT

      The current component, the type is subclass of the `Component`

    - #### SPACE_OWNER

          public static final ContextType SPACE_OWNER

      The space owner of the current component, the type is `IdSpace`

    - #### VIEW

          public static final ContextType VIEW

      The view of binder, the type is `Component`

    - #### PAGE

          public static final ContextType PAGE

      The page of the current component, the type is `Page`

    - #### DESKTOP

          public static final ContextType DESKTOP

      The desktop of the current component, the type is `Desktop`

    - #### SESSION

          public static final ContextType SESSION

      The session, the type is `Session`

    - #### APPLICATION

          public static final ContextType APPLICATION

      The web application, the type is `WebApp`

    - #### TRIGGER_EVENT

          public static final ContextType TRIGGER_EVENT

      The trigger event of a command
      Since:
        6.0.1

    - #### COMMAND_NAME

          public static final ContextType COMMAND_NAME

      The command name
      Since:
        6.0.1

  - ### Method Detail

    - #### values

          public static ContextType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContextType c : ContextType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContextType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null